summaryrefslogtreecommitdiffstats
path: root/iptables/tests/shell/testcases/nft-only/0002invflags_0
diff options
context:
space:
mode:
Diffstat (limited to 'iptables/tests/shell/testcases/nft-only/0002invflags_0')
-rwxr-xr-xiptables/tests/shell/testcases/nft-only/0002invflags_010
1 files changed, 10 insertions, 0 deletions
diff --git a/iptables/tests/shell/testcases/nft-only/0002invflags_0 b/iptables/tests/shell/testcases/nft-only/0002invflags_0
new file mode 100755
index 00000000..406b6081
--- /dev/null
+++ b/iptables/tests/shell/testcases/nft-only/0002invflags_0
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+set -e
+
+[[ $XT_MULTI == */xtables-nft-multi ]] || { echo "skip $XT_MULTI"; exit 0; }
+
+$XT_MULTI iptables -A INPUT -p tcp --dport 53 ! -s 192.168.0.1 -j ACCEPT
+$XT_MULTI ip6tables -A INPUT -p tcp --dport 53 ! -s feed:babe::1 -j ACCEPT
+$XT_MULTI ebtables -A INPUT -p IPv4 --ip-src 10.0.0.1 ! -i lo -j ACCEPT
+